package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行政网格对象 grid_region_grid
 * 
 * @author ruoyi
 * @date 2024-09-19
 */
public class GridRegionGrid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网格id */
    private Long gridId;

    /** 网格名 */
    @Excel(name = "网格名")
    private String gridName;

    /** 网格级别 */
    @Excel(name = "网格级别")
    private String gridLevel;

    /** 网格类型 */
    @Excel(name = "网格类型")
    private String gridType;

    /** 网格责任类型;1责任 2竞争 */
    @Excel(name = "网格责任类型;1责任 2竞争")
    private String gridDutyType;

    /** 上级网格id */
    @Excel(name = "上级网格id")
    private Long parentGridId;

    /** 所在机构 */
    @Excel(name = "所在机构")
    private String deptId;

    /** 删除标识 */
    private String deleteFlag;

    public void setGridId(Long gridId) 
    {
        this.gridId = gridId;
    }

    public Long getGridId() 
    {
        return gridId;
    }
    public void setGridName(String gridName) 
    {
        this.gridName = gridName;
    }

    public String getGridName() 
    {
        return gridName;
    }
    public void setGridLevel(String gridLevel)
    {
        this.gridLevel = gridLevel;
    }

    public String getGridLevel()
    {
        return gridLevel;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public void setGridDutyType(String gridDutyType)
    {
        this.gridDutyType = gridDutyType;
    }

    public String getGridDutyType() 
    {
        return gridDutyType;
    }
    public void setParentGridId(Long parentGridId) 
    {
        this.parentGridId = parentGridId;
    }

    public Long getParentGridId() 
    {
        return parentGridId;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setDeleteFlag(String deleteFlag)
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag()
    {
        return deleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("gridId", getGridId())
            .append("gridName", getGridName())
            .append("gridLevel", getGridLevel())
            .append("gridType", getGridType())
            .append("gridDutyType", getGridDutyType())
            .append("parentGridId", getParentGridId())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
